%define version 2.5.0
%define release alt1
%setup_python_module twisted

Name:           %{packagename}
Version:        %{version}
Release:        %{release}

Summary:        Twisted is an event-based framework for internet applications

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>


Requires:       python-module-twisted-core
Requires:       python-module-twisted-conch
Requires:       python-module-twisted-lore
Requires:       python-module-twisted-mail
Requires:       python-module-twisted-names
Requires:       python-module-twisted-news
Requires:       python-module-twisted-runner
Requires:       python-module-twisted-web
Requires:       python-module-twisted-words

Obsoletes:      pythom-module-twisted < 2.5.0
Provides:       twisted = %{version}-%{release}

%description
Twisted is an event-based framework for internet applications.  It includes a
web server, a telnet server, a chat server, a news server, a generic client 
and server for remote object access, and APIs for creating new protocols and
services. Twisted supports integration of the Tk, GTK+, Qt or wxPython event
loop with its main event loop. The Win32 event loop is also supported, as is
basic support for running servers on top of Jython.

Installing this package brings all Twisted sub-packages into your system.

%prep


%build

#%install

%clean


%files

%changelog
* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt1
- new version

* Thu Mar 29 2007 Sergey Alembekov <rt@altlinux.ru> 2.5.0-alt2
- Inital Build for ALTLinux Sisyphus

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.0-alt1.1
- Rebuilt with python-2.4.

* Fri Dec 31 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- first build for ALT Linux Sisyphus
